Subject: Bug on TYPO3\Media\TypeConverter\ImageConverter
Description

Bug on TYPO3\Media\TypeConverter\ImageConverter from TYPO3.Form:ImageUpload.

I have an exception when i use "TYPO3.Form:ImageUpload" in my form factory.
Exception said :

#1297759968: Exception while property mapping for target type "TYPO3\Media\Domain\Model\Image", at property path "": It is not
allowed to map property "resource". You need to use $propertyMappingConfiguration->allowProperties('resource') to enable mapping
of this property.

I have modify "TYPO3\Media\TypeConverter\ImageConverter" :

On line 46 :
    return $source;
Replaced by :
    return array();

History
#1 - 2012-06-01 14:10 - Nicolas C
- File ImageConverter.php added

For fix this bug on TYPO3\Media\TypeConverter :

When form is submitted the source ($source) is an array but conversion of 'resource' parameter does not executed.
So i have modify this type converter to implement "TYPO3\FLOW3\Resource\ResourceTypeConverter".
I have join my file "ImageConverter.php".

#2 - 2012-06-01 14:55 - Adrian Föder

Nicolas, as far as I see this, you have to adjust the controller that handles the image upload. Is that controller located in the TYPO3.Form project? If
so, the problem lies there.
Don't hesitate to ask further or join the IRC channel.

#3 - 2012-07-09 14:40 - Adrian Föder
- Status changed from New to Needs Feedback

#4 - 2012-11-02 15:50 - Adrian Föder
- Status changed from Needs Feedback to Closed
Closing so far; feel free to reopen.

Files
ImageConverter.php 2.4 kB 2012-06-01 Nicolas C
